## node-marked-man 0.7.0

=== Makefile ===
man/marked-man.1: README.md
	./bin/marked-man -o $@ $<

doc: man/marked-man.1

check:
	node test/compare.js

## node-marked-man 0.2.0

=== debian/changelog ===
node-marked-man (0.2.0-1) unstable; urgency=medium

  * New upstream version 0.2.0

 -- Jérémy Lal <kapouer@melix.org>  Fri, 09 Dec 2016 01:43:23 +0100

node-marked-man (0.1.6-1) unstable; urgency=low

  * Initial release (Closes: #844022)

 -- Jérémy Lal <kapouer@melix.org>  Fri, 11 Nov 2016 22:54:11 +0100

=== debian/control ===
Source: node-marked-man
Section: web
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jérémy Lal <kapouer@melix.org>
Build-Depends:
 debhelper (>= 9)
 , dh-buildinfo
 , node-marked
 , nodejs
Standards-Version: 3.9.8
Homepage: https://github.com/kapouer/marked-man
Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/node-marked-man.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/node-marked-man.git
Testsuite: autopkgtest

Package: node-marked-man
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
 , node-marked
Description: Markdown to man page conversion - Node.js
 This module adds groff output support to node-marked.
 It provides an easy way to maintain man pages in a markdown
 format (with gfm flavor by default).
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_clean:
	rm -f test/out/*.err
	rm -f debian/marked-man.1

override_dh_auto_build:
	./bin/marked-man README.md > debian/marked-man.1

override_dh_auto_test:
	nodejs test/compare.js

## node-marked-man 0.3.0

=== debian/changelog ===
node-marked-man (0.3.0-2) unstable; urgency=medium

  * Drop node to nodejs renaming patch
  * Depends node-marked >= 0.3.9~
  * Change Section to javascript
  * Standards-Version 4.1.3
  * Move to salsa js-team
  * Fix test for marked 0.3.9 (Closes: #891736)
  * Remove Testsuite field
  * Do not override dh_auto_test

 -- Jérémy Lal <kapouer@melix.org>  Sat, 07 Apr 2018 17:39:04 +0200

node-marked-man (0.3.0-1) unstable; urgency=medium

  * New upstream version 0.3.0
  * Set manpage date from SOURCE_DATE_EPOCH (Closes: #868321).

 -- Jérémy Lal <kapouer@melix.org>  Fri, 14 Jul 2017 17:55:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: node-marked-man
-Section: web
+Section: javascript
 Priority: optional
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Jérémy Lal <kapouer@melix.org>
 Build-Depends:
  debhelper (>= 9)
  , dh-buildinfo
- , node-marked
+ , node-marked (>= 0.3.9~)
  , nodejs
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: https://github.com/kapouer/marked-man
-Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/node-marked-man.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/node-marked-man.git
-Testsuite: autopkgtest
+Vcs-Git: https://salsa.debian.org/js-team/node-marked-man.git
+Vcs-Browser: https://salsa.debian.org/js-team/node-marked-man
 
 Package: node-marked-man
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -12,10 +12,8 @@
 	rm -f debian/marked-man.1
 
 override_dh_auto_build:
-	./bin/marked-man README.md > debian/marked-man.1
-
-override_dh_auto_test:
-	nodejs test/compare.js
+	./bin/marked-man --date="$(SOURCE_DATE_EPOCH)000" README.md > debian/marked-man.1
 
 
 
+

=== debian/tests/control ===
Test-Command: nodejs test/compare.js 2>&1
Depends: @, man-db

## node-marked-man 0.4.0

=== debian/changelog ===
node-marked-man (0.4.0-1) unstable; urgency=medium

  * New upstream version 0.4.0
    This version fixes compatibility with node-marked@0.5.1
    Closes: #912168
  * Drop patch that fixes upstream tests expectations
  * Standards-Version 4.3.0
  * (Build-)Depends marked 0.5.1

 -- Jérémy Lal <kapouer@melix.org>  Sat, 02 Feb 2019 02:12:42 +0100

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Build-Depends:
  debhelper (>= 9)
  , dh-buildinfo
- , node-marked (>= 0.3.9~)
+ , node-marked (>= 0.5.1~)
  , nodejs
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Homepage: https://github.com/kapouer/marked-man
 Vcs-Git: https://salsa.debian.org/js-team/node-marked-man.git
 Vcs-Browser: https://salsa.debian.org/js-team/node-marked-man
@@ -18,7 +18,7 @@
 Depends:
  ${misc:Depends}
  , nodejs
- , node-marked
+ , node-marked (>= 0.5.1~)
 Description: Markdown to man page conversion - Node.js
  This module adds groff output support to node-marked.
  It provides an easy way to maintain man pages in a markdown

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export SOURCE_DATE_EPOCH=283996800

%:
	dh $@

override_dh_auto_clean:
	rm -f test/*/*.err
	rm -f debian/marked-man.1

override_dh_auto_build:
	./bin/marked-man --date="$(SOURCE_DATE_EPOCH)" README.md > debian/marked-man.1

## node-marked-man 0.7.0

=== debian/changelog ===
node-marked-man (0.7.0-1) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.5.0
  * Bump debhelper compatibility level to 12
  * Use pkg-js-tools auto test & install
  * New upstream version 0.7.0
  * Require node-marked ≥ 0.7.0~
  * Add "Rules-Requires-Root: no"
  * Add debian/gbp.conf
  * Add upstream/metadata
  * Update copyright

 -- Xavier Guimard <yadd@debian.org>  Sun, 08 Mar 2020 12:55:32 +0100

=== debian/control ===
Source: node-marked-man
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jérémy Lal <kapouer@melix.org>
Build-Depends: debhelper-compat (= 12)
 , man-db <!nocheck>
 , node-marked (>= 0.7.0~)
 , pkg-js-tools (>= 0.9.20~)
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/js-team/node-marked-man
Vcs-Git: https://salsa.debian.org/js-team/node-marked-man.git
Homepage: https://github.com/kapouer/marked-man
Testsuite: autopkgtest-pkg-nodejs
Rules-Requires-Root: no

Package: node-marked-man
Architecture: all
Depends: ${misc:Depends}
 , node-marked (>= 0.7.0~)
 , nodejs
Description: Markdown to man page conversion - Node.js
 This module adds groff output support to node-marked.
 It provides an easy way to maintain man pages in a markdown
 format (with gfm flavor by default).
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export SOURCE_DATE_EPOCH=283996800

%:
	dh $@ --with nodejs

override_dh_auto_build:
	./bin/marked-man --date="$(SOURCE_DATE_EPOCH)" README.md > marked-man.1

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-marked-man-$1.tar.gz/ \
 https://github.com/kapouer/marked-man/tags .*/archive/v?([\d\.]+).tar.gz

## node-marked-man 0.7.0+~0.7.0

=== debian/changelog ===
node-marked-man (0.7.0+~0.7.0-2) unstable; urgency=medium

  * Team upload
  * Workaround test bug (Closes: #1005593)

 -- Yadd <yadd@debian.org>  Thu, 17 Feb 2022 06:44:16 +0100

node-marked-man (0.7.0+~0.7.0-1) unstable; urgency=medium

  * Team upload
  * Fix debian/clean
  * Embed marked@0.7.0 due to incompatibility with marked ≥ 4

 -- Yadd <yadd@debian.org>  Tue, 30 Nov 2021 17:55:32 +0100

node-marked-man (0.7.0-2) unstable; urgency=medium

  * Team upload
  * Bump debhelper compatibility level to 13
  * Modernize debian/watch
    * Fix GitHub tags regex
    * Fix filenamemangle
  * Use dh-sequence-nodejs
  * Update standards version to 4.6.0, no changes needed.
  * Update nodejs dependency to nodejs:any

 -- Yadd <yadd@debian.org>  Sat, 20 Nov 2021 08:24:43 +0100

=== debian/control ===
Source: node-marked-man
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jérémy Lal <kapouer@melix.org>
Build-Depends: debhelper-compat (= 13)
 , man-db <!nocheck>
 , dh-sequence-nodejs
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/js-team/node-marked-man
Vcs-Git: https://salsa.debian.org/js-team/node-marked-man.git
Homepage: https://github.com/kapouer/marked-man
Testsuite: autopkgtest-pkg-nodejs
Rules-Requires-Root: no

Package: node-marked-man
Architecture: all
Depends: ${misc:Depends}
 , nodejs:any
Description: Markdown to man page conversion - Node.js
 This module adds groff output support to node-marked.
 It provides an easy way to maintain man pages in a markdown
 format (with gfm flavor by default).
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export SOURCE_DATE_EPOCH=283996800
 
 %:
-	dh $@ --with nodejs
+	dh $@
 
 override_dh_auto_build:
 	./bin/marked-man --date="$(SOURCE_DATE_EPOCH)" README.md > marked-man.1

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-marked-man-$1/ \
 https://github.com/kapouer/marked-man/tags .*/archive/.*/v?([\d\.]+).tar.gz group

opts=\
component=marked,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-marked-$1/ \
 https://github.com/markedjs/marked/tags?after=v0.8.0 .*/archive.*/v?([\d\.]+).tar.gz group

## node-marked-man 1.3.3

=== debian/changelog ===
node-marked-man (1.3.3-1) unstable; urgency=medium

  * New upstream version 1.3.3
    Closes: 1030724

 -- Jérémy Lal <kapouer@melix.org>  Tue, 07 Feb 2023 01:34:20 +0100

node-marked-man (1.3.1-1) unstable; urgency=medium

  * New upstream version 1.3.1
    Closes: #1025524

 -- Jérémy Lal <kapouer@melix.org>  Tue, 06 Dec 2022 10:21:16 +0100

node-marked-man (1.3.0-1) unstable; urgency=medium

  * New upstream version 1.3.0

 -- Jérémy Lal <kapouer@melix.org>  Mon, 28 Nov 2022 16:02:00 +0100

node-marked-man (1.2.4-2) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.6.1
  * Build commonjs files

 -- Yadd <yadd@debian.org>  Mon, 14 Nov 2022 11:47:52 +0100

node-marked-man (1.2.4-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + node-marked-man: Add Multi-Arch: foreign.

  [ Jérémy Lal ]
  * New upstream version 1.2.4
  * watch: remove component
  * gbp.conf: remove component
  * (Build-)Depends node-marked, node-read-pkg-up
  * Remove patches fixed upstream
  * Fix call to local bin
  * More modern setup for tests
  * Patch for compat with read-pkg-up < 8
  * Fix bin perms

 -- Jérémy Lal <kapouer@melix.org>  Mon, 07 Nov 2022 01:21:20 +0100

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,22 @@
 Build-Depends: debhelper-compat (= 13)
  , man-db <!nocheck>
  , dh-sequence-nodejs
-Standards-Version: 4.6.0
+ , node-marked (>= 4.2.2)
+ , node-read-pkg-up
+ , rollup
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/js-team/node-marked-man
 Vcs-Git: https://salsa.debian.org/js-team/node-marked-man.git
 Homepage: https://github.com/kapouer/marked-man
-Testsuite: autopkgtest-pkg-nodejs
 Rules-Requires-Root: no
 
 Package: node-marked-man
 Architecture: all
 Depends: ${misc:Depends}
+ , node-marked (>= 4.2.2)
+ , node-read-pkg-up
  , nodejs:any
+Multi-Arch: foreign
 Description: Markdown to man page conversion - Node.js
  This module adds groff output support to node-marked.
  It provides an easy way to maintain man pages in a markdown

## node-marked-man 1.3.4

=== debian/changelog ===
node-marked-man (1.3.4-1) unstable; urgency=medium

  * New upstream version 1.3.4
    Closes: 1042258
  * Standards-Version: 4.6.2

 -- Jérémy Lal <kapouer@melix.org>  Sat, 12 Aug 2023 15:26:59 +0200

=== debian/tests/control ===
Test-Command: /usr/share/pkg-js-autopkgtest/runner require
Depends: @, pkg-js-autopkgtest
Restrictions: superficial, skippable

Test-Command: /usr/share/pkg-js-autopkgtest/runner
Depends: @, pkg-js-autopkgtest
Restrictions: allow-stderr

## node-marked-man 1.3.5

=== debian/changelog ===
node-marked-man (1.3.5-1) unstable; urgency=medium

  * New upstream version 1.3.5
    Closes: 1055000

 -- Jérémy Lal <kapouer@melix.org>  Thu, 14 Dec 2023 08:57:19 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  , node-marked (>= 4.2.2)
  , node-read-pkg-up
  , rollup
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/js-team/node-marked-man
 Vcs-Git: https://salsa.debian.org/js-team/node-marked-man.git
 Homepage: https://github.com/kapouer/marked-man

## node-marked-man 1.3.6

=== debian/changelog ===
node-marked-man (1.3.6-1) unstable; urgency=medium

  * New upstream version 1.3.6
  * B-D diffutils
  * Patch: use MANWIDTH 79 to pass tests now

 -- Jérémy Lal <kapouer@melix.org>  Wed, 17 Apr 2024 16:31:30 +0200

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Build-Depends: debhelper-compat (= 13)
  , man-db <!nocheck>
  , dh-sequence-nodejs
+ , diffutils
  , node-marked (>= 4.2.2)
  , node-read-pkg-up
  , rollup

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@

override_dh_auto_build:
	./bin/marked-man.js README.md > marked-man.1
	mjs2cjs -o src/index.cjs src/index.js

override_dh_fixperms:
	dh_fixperms
	chmod +x debian/node-marked-man/usr/share/nodejs/marked-man/bin/marked-man.js

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-marked-man-$1/ \
 https://github.com/kapouer/marked-man/tags .*/archive/.*/v?([\d\.]+).tar.gz
